weka.classifiers.evaluation

## Class NumericPrediction

- java.lang.Object
- - weka.classifiers.evaluation.NumericPrediction

- All Implemented Interfaces:
    java.io.Serializable, Prediction, RevisionHandler

      public class NumericPrediction
      extends java.lang.Object
      implements Prediction, java.io.Serializable, RevisionHandler

  Encapsulates an evaluatable numeric prediction: the predicted class value plus the actual class value.
  Version:
    $Revision: 8034 $
  Author:
    Len Trigg (len@reeltwo.com)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface weka.classifiers.evaluation.Prediction

      `MISSING_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericPrediction(double actual, double predicted)` Creates the NumericPrediction object with a default weight of 1.0.
    `NumericPrediction(double actual, double predicted, double weight)` Creates the NumericPrediction object.
    `NumericPrediction(double actual, double predicted, double weight, double[][] predInt)` Creates the NumericPrediction object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `actual()` Gets the actual class value.
    `double` | `error()` Calculates the prediction error.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `double` | `predicted()` Gets the predicted class value.
    `double[][]` | `predictionIntervals()` Returns the predictions intervals.
    `void` | `setPredictionIntervals(double[][] predInt)` Sets the prediction intervals for this prediction.
    `java.lang.String` | `toString()` Gets a human readable representation of this prediction.
    `double` | `weight()` Gets the weight assigned to this prediction.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericPrediction

          public NumericPrediction(double actual,
                                   double predicted)

      Creates the NumericPrediction object with a default weight of 1.0.
      Parameters:
        `actual` - the actual value, or MISSING_VALUE.
        `predicted` - the predicted value, or MISSING_VALUE.

    - #### NumericPrediction

          public NumericPrediction(double actual,
                                   double predicted,
                                   double weight)

      Creates the NumericPrediction object.
      Parameters:
        `actual` - the actual value, or MISSING_VALUE.
        `predicted` - the predicted value, or MISSING_VALUE.
        `weight` - the weight assigned to the prediction.

    - #### NumericPrediction

          public NumericPrediction(double actual,
                                   double predicted,
                                   double weight,
                                   double[][] predInt)

      Creates the NumericPrediction object.
      Parameters:
        `actual` - the actual value, or MISSING_VALUE.
        `predicted` - the predicted value, or MISSING_VALUE.
        `weight` - the weight assigned to the prediction.
        `predInt` - the prediction intervals from classifiers implementing the `IntervalEstimator` interface.
      See Also:
        `IntervalEstimator`

  - ### Method Detail

    - #### actual

          public double actual()

      Gets the actual class value.
      Specified by:
        `actual` in interface `Prediction`
      Returns:
        the actual class value, or MISSING_VALUE if no prediction was made.

    - #### predicted

          public double predicted()

      Gets the predicted class value.
      Specified by:
        `predicted` in interface `Prediction`
      Returns:
        the predicted class value, or MISSING_VALUE if no prediction was made.

    - #### weight

          public double weight()

      Gets the weight assigned to this prediction. This is typically the weight of the test instance the prediction was made for.
      Specified by:
        `weight` in interface `Prediction`
      Returns:
        the weight assigned to this prediction.

    - #### error

          public double error()

      Calculates the prediction error. This is defined as the predicted value minus the actual value.
      Returns:
        the error for this prediction, or MISSING_VALUE if either the actual or predicted value is missing.

    - #### setPredictionIntervals

          public void setPredictionIntervals(double[][] predInt)

      Sets the prediction intervals for this prediction.
      Parameters:
        `predInt` - the prediction intervals

    - #### predictionIntervals

          public double[][] predictionIntervals()

      Returns the predictions intervals. Only classifiers implementing the `IntervalEstimator` interface.
      Returns:
        the prediction intervals.
      See Also:
        `IntervalEstimator`

    - #### toString

          public java.lang.String toString()

      Gets a human readable representation of this prediction.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a human readable representation of this prediction.

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision